Index

## Global Objects

- rap
- SWT

## Types

- $
- Button
- Canvas
- Client
- Combo
- Composite
- Control
- Event
- Label
- ProgressBar
- RemoteObject
- Scale
- ScrolledComposite
- Slider
- Spinner
- Text
- Widget

# Type RemoteObject

Instances of RemoteObject represent the server-side counterpart of a client object and are used to write operations into the next protocol message.

Method Summary
Method Attributes | Method Name and Description
--- | ---
| call(method, properties) Instructs the remote object to call the given method.
| notify(event, properties) Notifies the remote object that an event of the given type occurred.
| set(property, value) Sets the specified property of the remote object to the given value.

Type Detail
<private> RemoteObject()
The constructor is not public. Instances can be obtained from rap.getRemoteObject.

Parameters:

Since:
  2.0

Method Detail
call(method, properties)
Instructs the remote object to call the given method. Calling this method will write a "call" operation into the message, which will to be sent to the server within a few milliseconds. One message may contain several "call" operations, if they are added consecutively.

Parameters:
{string} method
  The name of the method.
{Object|null} properties Optional
  This object may contain any number of additional properties/fields associated with the call. It may also be null or omitted.

notify(event, properties)
Notifies the remote object that an event of the given type occurred. Notifications can only be sent for types that the server is currently listening for (see rap.registerTypeHandler, handler.events). If this is not the case, no "notify" operation is written into the message and no request will be sent. Otherwise the message will be sent to the server within a few milliseconds. One message may contain several "notify" operations, if they are added consecutively.

Parameters:
{string} event
  The type of the event that occured.
{Object|null} properties Optional
  This object may contain any number of additional properties/fields associated with the event. It may also be null or omitted.

set(property, value)
Sets the specified property of the remote object to the given value. Calling this method multiple times for the same property will overwrite the previous value, the message will not become longer. This method does not cause the message to be sent immediately. Instead it will be sent the next time a "notify" or "call" operation is written to the message.

Parameters:
{string} property
  The name of the property.
{var} value
  The value of the property.

Copyright (c) EclipseSource and others 2013, 2021. All rights reserved.